Bug 110538 - processmail rescanall should date_trunc('second', delta_ts)
processmail rescanall should date_trunc('second', delta_ts)
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-20 17:33 EST by Maxwell Kanat-Alexander
Modified: 2013-06-23 22:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-01 11:27:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Make the SQL truncate delta_ts at the second (1023 bytes, patch)
2003-11-20 17:34 EST, Maxwell Kanat-Alexander
no flags Details | Diff

  None (edit)
Description Maxwell Kanat-Alexander 2003-11-20 17:33:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
I'm using PostgreSQL 7.3.4 on Fedora Core 1.

When you run "processmail rescanall", it compares lastdiffed to
delta_ts in the "bugs" table. delta_ts contains microseconds, and
lastdiffed does not. So, delta_ts is always greater than lastdiffed.
Thus, _all_ bugs are returned as having not had their email sent.

I'll attach a patch as my next action after I submit this bug.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Maxwell Kanat-Alexander 2003-11-20 17:34:34 EST
Created attachment 96101 [details]
Make the SQL truncate delta_ts at the second

Here's a patch against just the processmail file.

Comment 2 Maxwell Kanat-Alexander 2003-12-16 13:29:28 EST
By the way, dkl, did you ever look at this? It also happens in

I think a better solution than mine might be to actually date_trunc()
delta_ts when it's INSERTed, instead of when it's read.

Also, I discovered that I had to modify this patch slightly -- I'll
post another version, perhaps.

Comment 3 David Lawrence 2006-04-08 13:54:00 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 4 David Lawrence 2008-09-16 12:50:33 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 5 David Lawrence 2008-12-01 11:27:59 EST
No longer relevant for current releases of Bugzilla.

Note You need to log in before you can comment on or make changes to this bug.